List metering units

GET /api/v1/stations

Returns a paged list of the resource provider’s metering units, optionally filtered by consumer.

Query parameters

customer_id integer

Consumer identifier. Optional — narrows the selection to one consumer.

page integer

Page number.

Response fields

AttributeDescription
idIdentifier (unique key) of the metering unit in the system
nameName of the metering unit
equipment_type_idIdentifier of the metering device configuration type (corrector configuration type key)
equipment_type_varnameString unique identifier of the metering device configuration type
equipment_brand_nameModel of the metering device
phonePhone
equipment_idIdentifier (unique key) of the metering device in the system
telemetry_idIdentifier (unique key) of the telemetry unit in the system
customer_idConsumer identifier
equipment_serial_numberSerial number of the metering device
status_name_valueMetering unit status
volume_valueConsumption volume value
volume_unitConsumption volume unit
pressure_valuePressure value
pressure_unitPressure unit
temperature_valueTemperature value
temperature_unitTemperature unit
last_seance_event_timeTime of the last communication session
uidExchange code
dataArray of returned data
total_pagesTotal number of pages in the returned set
current_pageCurrent page
next_pageNext page available for downloading, null if the current page is the last one

Request

bash
curl -i \
  --header "access-token: *********************" \
  --header "token-type: Bearer" \
  --header "client: **********************" \
  --header "uid: user@local.net" \
  --header "Content-Type: application/json" \
  --request GET \
  "https://uztgs.uz/api/v1/stations?customer_id=83&page=1"

Response

Naposledy aktualizované

Bola táto stránka užitočná?